org.apache.fop.fo.properties

## Class EnumProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.EnumProperty

    public final class EnumProperty
    extends Property

Superclass for properties that wrap an enumeration value

### Nested Class Summary

Nested Classes
`static class` `EnumProperty.Maker` Inner class for creating EnumProperty instances

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.Property

`log`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`int` `getEnum()` This method expects to be overridden by subclasses
`static EnumProperty` `getInstance(int explicitValue, String text)` Construct an enumeration property.
`Object` `getObject()` This method expects to be overridden by subclasses
`int` `hashCode()`

### Methods inherited from class org.apache.fop.fo.properties.Property

`getCharacter, getColor, getCondLength, getKeep, getLength, getLengthPair, getLengthRange, getList, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getInstance

    public static EnumProperty getInstance(int explicitValue,
                                           String text)

Construct an enumeration property.

Parameters:
  `explicitValue` - the value
  `text` - the text
Returns:
  an enumeration property

#### getEnum

    public int getEnum()

Description copied from class: `Property`
This method expects to be overridden by subclasses

Overrides:
  `getEnum` in class `Property`
Returns:
  this.value

#### getObject

    public Object getObject()

Description copied from class: `Property`
This method expects to be overridden by subclasses

Overrides:
  `getObject` in class `Property`
Returns:
  this.value cast as an Object

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`